<?php
/**
 * Admin page for Addons list, view, activate or deactivate.
 */

defined( 'ABSPATH' ) || exit;

$addons = dozentlms_addons();
?>

<div class="wrap">
    <h1 class="wp-heading-inline"> <?php _e('Add-ons', 'dozent-lms'); ?> </h1>
    <p>
		<?php _e( 'Extend Dozent LMS by enabling add-ons from the below list.', 'dozent-lms' ); ?>
    </p>

    <hr class="wp-header-end">
    <br />

    <div class="doznetlms-addons-list wp-list-table widefat plugin-install">

        <div id="the-list">
			<?php
			foreach ( $addons  as $addon ) {
				if ( is_array( $addon->dependency ) && count( $addon->dependency ) ) {
					$addon->enabled = 'disabled';
				}

				?>

                <div class="plugin-card">
                    <div class="plugin-card-top">
                        <div class="name column-name">
                            <h3>
								<?php echo $addon->name; ?>
                                <img src="<?php echo $addon->thumbnail_src; ?>" class="plugin-icon" alt="">
                            </h3>
                        </div>

                        <div class="action-links">
                            <ul class="plugin-action-buttons">
                                <li>
									<?php echo dozentlms_switch_field( "dozentlms_addon[$addon->id]", $addon->enabled ); ?>
                                </li>
                            </ul>
                        </div>

                        <div class="desc column-description">
							<?php if ( $addon->is_pro ) { ?>
                                <label class="dlms-pro-addon-text"> <i class="lmsicon-quality"></i> <?php _e( 'Pro Add-On', 'dozent-lms' ); ?> </label>
							<?php } ?>

                            <p> <?php echo $addon->description; ?> </p>

                            <p class="authors">
                                <cite>
									<?php _e( 'By', 'dozent-lms' ); ?> <a href="<?php echo $addon->developer_url ; ?>" target="_blank"> <?php echo $addon->developer_name ; ?> </a>
                                </cite>
                            </p>
                        </div>
                    </div>

					<?php
					if ( is_array( $addon->dependency ) && count( $addon->dependency ) ) {
						?>
                        <div class="plugin-card-bottom">
                            <p> <?php echo _n( 'Following plugin required to install and active to use this add-on.', 'Following plugins required to install and active to use this add-on.', count( $addon->dependency ), 'dozent-lms' ); ?> </p>

                            <p> <strong> <?php echo implode( '<br />', $addon->dependency ); ?> </strong> </p>
                        </div>
					<?php } ?>

                </div>
				<?php
            }
			?>

        </div>

    </div>

</div>