<?php
/**
 * WooCommerce product data courses panel
 */

defined( 'ABSPATH' ) || exit;

$fresh_courses = dozentlms_get_courses_has_no_product( get_the_ID() );
$attached_courses = dozentlms_get_course_ids_by_product();
?>


<div id="dlms-course-panel" class="panel woocommerce_options_panel">

    <input type="hidden" name="dozentlms_wc_data_panel" value="courses_panel">

    <div class="options_group">

        <div class="wc-data-panel-field-wrap">

			<?php if ( is_array( $fresh_courses ) && count( $fresh_courses ) ) { ?>
                <label>
					<?php _e( 'Select course', 'dozent-lms' ); ?>
                </label>

                <select id="wc-data-panel-courses" class="wc-enhanced-select" name="wc_data_panel_courses[]" multiple="multiple" >
					<?php
					foreach ( $fresh_courses as $course ) {
						$selected = selected( in_array( $course->ID, $attached_courses ), true, false );
						echo "<option value='{$course->ID}' {$selected} > {$course->post_title} </option>";
					} ?>
                </select>
			<?php } else {
				?>
                <p> <?php _e( 'No new course was found to attach this product', 'dozent-lms' ); ?> </p>
				<?php
			} ?>

        </div>

    </div>


</div>
