<?php

/**
 * Admin Bar
 *
 * @since DozentLMS 1.1.3
 */

namespace DozentLMS\Core;

class Admin_Bar {

	public static function instance() {
		static $instance = null;

		if ( null === $instance ) {
			$instance = new self();
		}

		return $instance;
	}

	function __construct() {
		if ( is_user_logged_in() && ! is_admin() ) {
			add_filter( 'get_edit_post_link', [ $this, 'edit_course_link' ], 10, 3 );
		}
	}

	public function edit_course_link( $link, $course_ID, $context ) {
		global $wp_the_query;

		$current_object = $wp_the_query->get_queried_object();
		$user_ID        = get_current_user_id();

		if ( dozentlms_is_instructor( $user_ID ) && ! empty( $current_object->post_type )
		     && 'dozentlms_course' === $current_object->post_type ) {
			return dozentlms_course_edit_link( $course_ID );
		}

		return $link;
	}

}