<?php

/**
 * Class Class Map
 */

namespace DozentLMS\Core;

use DozentLMS\addons\Load;
use DozentLMS\Admin\Bootstrap;
use DozentLMS\Admin\Operations;
use DozentLMS\Admin\Post_Types_Register;
use DozentLMS\Admin\Register_Menu;
use DozentLMS\Core\Course\Access;
use DozentLMS\Core\Course\Builder;
use DozentLMS\Core\Course\Course_Data;
use DozentLMS\Core\User\Activities;
use DozentLMS\Resources\Resources;

class Class_Mapper {

	//Helper Objects
	public $operations;
	public $register_admin_menu;
	public $post_types_register;
	protected $admin_bootstrap;

	//protected objects
	protected $form_requests;
	protected $auth;
	protected $query;

	//Play with Add-On
	public $addon_classes;
	protected $addon_bootstrap;

	function __construct() {

		$this->load_singleton_instance();

		$this->admin_bootstrap     = new Bootstrap();
		$this->operations          = new Operations();
		$this->register_admin_menu = new Register_Menu();
		$this->post_types_register = new Post_Types_Register();

		//Protected request
		$this->form_requests = new Form_Request();
		$this->auth          = new Auth();
		$this->query         = new  Query();

		//Play with Add-On

		if ( ! class_exists( 'DozentLMS_Addon' ) ) {
			require DOZENTLMS_ABSPATH . '/addons/DozentLMS_Addon.php';
		}
		$this->addon_bootstrap = new Load();
	}

	function load_singleton_instance() {
		Admin_Bar::instance();
		Dashboard_Controller::instance();
		Resources::instance();
		Builder::instance();
		Course_Data::instance();
		Access::instance();
		Activities::instance();
	}


}