<?php

/**
 * Dashboard Controller
 *
 * @since DozentLMS 1.1.3
 */

namespace DozentLMS\Core;

class Dashboard_Controller {

	public static function instance() {
		static $instance = null;

		if ( null === $instance ) {
			$instance = new self();
		}

		return $instance;
	}

	function __construct() {
		add_action( 'template_redirect', [ $this, 'mark_course_incomplete' ] );
	}


	public function mark_course_incomplete() {
		if ( ! dozentlms_is_frontend_dashboard() || ! is_user_logged_in()
		     || 'mark-course-incomplete' !== dozentlms_get_var( 'dashboard_course_action' ) ) {
			return;
		}

		$user_id             = get_current_user_id();
		$remove_course_id    = (array) dozentlms_get_var( 'course_id' );
		$course_ids          = get_user_meta( $user_id, '_completed_course_ids' );
		$complete_course_ids = array_diff( $course_ids, $remove_course_id );

		update_user_meta( $user_id, '_completed_course_ids', $complete_course_ids );

		wp_redirect( dozentlms_dashboard_link( 'completed-courses' ) );
		exit();
	}


}