<?php

/**
 * Find the course ID, it must required to generate the course contents.
 */

//Course ID not exists from the previous state, get it from current post
if ( empty( $course_id ) ) {
	$course_id = get_the_ID();
}
//Course ID not found, try to get it from Post request
if ( empty( $course_id ) ) {
	$course_id = (int) dozentlms_request_text( 'course_id' );
}

//Course ID not found from the Post requst, try to get it from the get requeset
if ( empty( $course_id ) ) {
	$course_id = (int) dozentlms_get_var( 'course_id' );
}

$modules = dozentlms_get_course_syllabus_data( $course_id );
?>

<div id="cb-modules-wrap">

	<?php

	if ( ! dozentlms_arr_count( $modules ) ){
		?>
        <div class="create-first-module-wrap dlms-border dlms-p-5 dlms-text-center">
            <p class="dlms-text-muted dlms-mb-2 dlms-d-block">
				<?php _e( 'It seems you have not created a module yet', 'dozent-lms' ); ?>
            </p>
            <a href="javascript:;" class="dlms-add-module">
                <i class="lmsicon-plus-alt"></i>
				<?php _e( 'Create first module', 'dozent-lms' ); ?>
            </a>
        </div>
		<?php
	}

	foreach ($modules as $module){
		?>

        <div id="cb-module-<?php echo $module->ID ?>>" class="cb-module dlms-bg-white dlms-border dlms-mb-4">
            <div class="cb-module-header dlms-p-3 dlms-border-bottom dlms-d-flex">
                <p class="module-sort-handler dlms-my-0 dlms-mr-2"><i class="lmsicon-sort"></i></p>

                <span class="cb-module-name flex-grow-1 dlms-ml-2">
                        <strong><?php echo $module->post_title ?></strong>
                    </span>

                <button type="button" class="module-tool-btn dlms-px-1 dlms-py-0 module-edit-btn " data-module-id="<?php echo $module->ID; ?>" > <i class="lmsicon-pencil"></i> </button>

                <button type="button" class="module-tool-btn dlms-px-1 dlms-py-0 module-delete-btn dlms-ml-3" data-module-id="<?php echo $module->ID; ?>"> <i class="lmsicon-trash-line"></i> </button>
            </div>

            <div class="dlms-modal" data-module-id="<?php echo $module->ID; ?>" >
                <div class="modal-wrap">

                    <div class="modal-header">
                        <h3> <?php _e( 'Edit Module', 'dozent-lms' ); ?> </h3>
                        <a href="javascript:;" class="modal-close"> &times; </a>
                    </div>

                    <div class="modal-content">

                        <div class="edit-module-form">
                            <div class="dlms-form-group">
                                <label><?php _e('Module name', 'dozent-lms'); ?></label>
                                <input type="text" name="module_name" class="dlms-form-control" value="<?php echo $module->post_title ?>" >
                            </div>

                            <div class="dlms-form-group">
                                <label><?php _e('Module summary', 'dozent-lms'); ?></label>
                                <textarea name="module_description" class="dlms-form-control" rows="2"><?php echo $module->post_content; ?></textarea>
                            </div>

                            <button class="dlms-btn dlms-btn-info update-module-btn">
                                <?php _e('Save Module', 'dozent-lms'); ?>
                            </button>
                        </div>

                    </div>

                </div>
            </div>


            <div class="cb-module-body dlms-bg-light dlms-p-3 ">

				<?php
				if ( dozentlms_arr_count( $module->items ) ) {
					foreach ($module->items as $item) {

						?>
                        <div id="module-item-<?php echo $item->ID ?>"
                             class="content-item dlms-mb-2 content-<?php echo $item->post_type ?>" data-item-type="<?php echo $item->post_type ?>">

                            <div class="module-item-top dlms-border dlms-p-3 dlms-d-flex">
                                <p class="module-tool-btn dlms-m-0 dlms-mr-2 dlms-px-1 dlms-py-0 module-item-sorting-bar">
                                    <i class="lmsicon-sort"></i></p>

                                <div class="module-item-title">
									<?php dozentlms_course_content_icon( $item ); ?>
                                    <span class="module-item-title-text">
                                        <?php echo $item->post_title ?>
                                    </span>
                                </div>

                                <button type="button" class="module-tool-btn dlms-ml-2 dlms-py-0 module-item-edit-btn" data-item-id="<?php echo $item->ID ?>" data-item-type="<?php echo $item->post_type ?>" ><i class="lmsicon-pencil"></i>
                                </button>
                                <button type="button" class="module-tool-btn dlms-text-danger dlms-ml-2 dlms-px-1 dlms-py-0 module-item-delete-btn"
                                        data-item-id="<?php echo $item->ID ?>"><i class="lmsicon-trash-line"></i>
                                </button>

                            </div>

                            <div id="edit-module-item-form-<?php echo $item->ID ?>" class="edit-module-item-form"></div>
                        </div>
					<?php }
				}else{
					?>
                    <p class="dlms-my-2 dlms-text-muted"> <i class="lmsicon-warning"></i> <?php _e('Empty module', 'dozent-lms'); ?></p>
					<?php
				}
				?>
            </div>

            <div class="module-item-form-wrap"></div>

            <div class="module-add-item-wrap dlms-p-3">
                <a href="javascript:;" class="add-new-lecture dlms-mr-3">
                    <i class="lmsicon-plus-alt"></i> <?php _e('Add New Lecture', 'dozent-lms'); ?>
                </a>
            </div>
        </div>
		<?php
    }
	?>
</div>

