<?php
/**
 * Course Builder View
 */

?>

<input type="hidden" id="dozentlms_current_course_id" value="<?php the_ID(); ?>">

<script type="text/html" >
	<?php wp_editor('', 'dozentlms_wp_editor_config'); ?>
</script>

<div id="coursebuilderWrap">

	<?php if ( ! is_admin() ) {
		?>
        <div class="fcb-header-title-wrap dlms-border-bottom dlms-mb-3">

            <div class="fcb-header-title-icon dlms-px-3">
                <i class="lmsicon-pencil-square"></i>
            </div>

            <div class="fcb-header-title-content dlms-border-left dlms-px-3">
                <h2> <?php _e( 'Course Builder', 'dozent-lms' ); ?> </h2>
                <p class="fcb-header-subtitle dlms-mb-2"> <?php _e( 'Create and edit course curriculum from the below editor', 'dozent-lms' ); ?> </p>
            </div>
        </div>
		<?php
	} ?>

    <div class="topbar dlms-my-2">
        <a href="javascript:;" class="dlms-add-module">
            <i class="lmsicon-plus-alt"></i> <?php _e('Create New Module', 'dozent-lms'); ?>
        </a>

        <a href="javascript:;" id="cbToggleFullScreen">
            <i class="lmsicon-fullscreen"></i> <?php _e( 'Full Screen', 'dozent-lms' ); ?>
        </a>
    </div>

    <div id="dlms-module-form" class="dlms-mb-4 dlms-p-3 dlms-border" style="display: none;">
        <a href="javascript:;" id="dlms-module-form-close"> &times; </a>
        <div class="dlms-form-group">
            <label for="new-module-name"><?php _e('Module name', 'dozent-lms'); ?></label>
            <input type="text" name="module_name" id="new-module-name" class="dlms-form-control">
            <div id="module-name-response"></div>
        </div>

        <div class="dlms-form-group">
            <label for="new-module-description"><?php _e('Module summary', 'dozent-lms'); ?></label>
            <textarea name="module_description" id="new-module-description" class="dlms-form-control" rows="2"></textarea>
        </div>

        <button class="dlms-btn dlms-btn-info new-module-save-btn">
			<?php _e('Save Module', 'dozent-lms'); ?>
        </button>
    </div>


    <div id="dlms-course-contents">
		<?php
		$course_id = get_the_ID();
		require DOZENTLMS_ABSPATH . '/core/course/contents.php';
		?>
    </div>

</div>

<script type="text/html" id="tmpl-lecture-form">

    <div class="lecture-form-html  dlms-p-4 dlms-border">
        <div class="new-lecture-form-header dlms-d-flex dlms-mb-3 dlms-pb-3 dlms-border-bottom">
            <h3 class="flex-grow-1 dlms-m-0"><?php _e('Add Lecture', 'dozent-lms'); ?></h3>
            <a href="javascript:;" class="dlms-btn dlms-btn-outline-dark dlms-btn-sm btn-cancel-form" > &times; </a>
        </div>

        <div class="lecture-request-response"></div>

		<?php do_action('dozentlms/new_lecture_form/before'); ?>

        <div class="dlms-form-group">
            <label for="title"><?php _e('Title', 'dozent-lms'); ?></label>
            <input type="text" name="title" class="dlms-form-control"  >
        </div>

        <div class="dlms-form-group">
            <label for="description"> <?php _e('Description', 'dozent-lms'); ?> </label>
            <div class="wpEditorWrap">
                <textarea name="lecture_content" class="dlms-form-control" rows="5"></textarea>
            </div>
        </div>

        <div class="dlms-form-video-sources">

            <h3> <?php _e( 'Add a video', 'dozent-lms' ); ?> </h3>

            <div class="video-source-segment-wrap checked">
                <label class="video-source-label" data-video-source="">
                    <input type='radio' name='_video[source]' value='' checked="checked" > <?php _e( 'None', 'dozent-lms' ); ?> </label>
            </div>

			<?php

			$videos  = dozentlms_get_enabled_video_sources();
			foreach ( $videos as $video_key => $video_label ) {
				echo '<div class="video-source-segment-wrap">';
				echo "<label class='video-source-label' data-video-source='{$video_key}'> <input type='radio' name='_video[source]' value='{$video_key}'> {$video_label} </label>";
				?>

                <div class="video-source-input-wrap video-source-<?php echo esc_attr( $video_key ); ?>" >
					<?php if ( $video_key === 'upload' ) {
						?>

                        <div class="video-upload-form">

                            <div class="video-choose-wrap">
                                <div class="video-field-label">
                                    <label> <?php _e( 'Lecture Video', 'dozent-lms' ); ?> </label>
                                    <p class="description"> <?php _e( 'The supported video are .mp4, .ogv or .webm', 'dozent-lms' ); ?> </p>
                                </div>

								<?php dozentlms_upload_field( "_video[{$video_key}][video_id]", null, 'media' ); ?>
                            </div>

                            <div class="video-poster-wrap">
                                <div class="video-field-label">
                                    <label> <?php _e( 'Video Poster', 'dozent-lms' ); ?> </label>
                                    <p class="description"> <?php _e( 'Video poster supported files are .jpeg, .png', 'dozent-lms' ); ?> </p>
                                </div>

								<?php dozentlms_upload_field( "_video[{$video_key}][poster_id]", null ); ?>
                            </div>

                        </div>

						<?php
					} elseif ( $video_key === 'youtube' ) {
						?>

                        <input type="text" class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" placeholder="<?php _e( 'YouTube video url', 'dozent-lms' ); ?>" />
						<?php

					} elseif ( $video_key === 'vimeo' ) {
						?>
                        <input type="text" class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" placeholder="<?php _e( 'Vimeo video url', 'dozent-lms' ); ?>" />
						<?php
					} elseif ( $video_key === 'embedded' ) {
						?>
                        <textarea class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" ></textarea>
                        <p class="description"> <?php _e( 'Place embedded code', 'dozent-lms' ); ?> </p>
						<?php
					}
					?>

					<?php do_action( "dozentlms_form_video_after_{$video_key}" ); ?>
                </div>

				<?php
				echo "</div>";
			}
			?>

            <div class="video-runtime-input-wrap">

                <label class="description"> <?php _e( 'Video Runtime', 'dozent-lms' ); ?> </label>

                <div class="video-runtime-input-group">
                    <input type="text" placeholder="hh" name="_video[runtime][hh]">
                    <span> : </span>
                    <input type="text" placeholder="mm" name="_video[runtime][mm]">
                    <span> : </span>
                    <input type="text" placeholder="ss" name="_video[runtime][ss]">
                </div>

                <p class="description"> <?php echo sprintf( __( 'Runtime format - %s', 'dozent-lms' ), '<strong>hh:mm:ss</strong>' ); ?> </p>
            </div>

        </div>

		<?php do_action('dozentlms/new_lecture_form/after'); ?>

        <div class="dlms-form-group ">
            <button type="submit" class="dlms-btn dlms-btn-info btn-save-lecture"  name="save" value="create_new_lecture"> <i class="la la-save"></i>  <?php _e('Create New Lecture', 'dozent-lms'); ?> </button>
            <button type="button" class="dlms-btn dlms-btn-outline-info btn-cancel-form"> <?php _e('Cancel', 'dozent-lms'); ?> </button>
        </div>

    </div>
</script>