<?php
/**
 * Course Builder Header
 */
?>

<div class="dlms-fcb-header">
    <div class="dlms-fcb-header-brand">
		<?php
		$brand_logo = dozentlms_get_setting( 'site_brand_logo' );
		$logo_details = wp_prepare_attachment_for_js( $brand_logo );
		$logo_url = dozentlms_arr_get( $logo_details, 'url' );
		if ( ! empty( $logo_url ) ) {
			?>
            <a class="dlms-brand-logo" href="<?php echo esc_url( get_home_url() ); ?>"> <img src="<?php echo $logo_url; ?>" alt="<?php bloginfo( 'name' ); ?>" title="<?php bloginfo( 'name' ); ?>" /> </a>
			<?php
		}
		?>
    </div>

    <div class="dlms-fcb-header-right">
        <ul class="dlms-fcb-header-nav">
            <li> <a href="<?php echo get_the_permalink(); ?>"> <i class="lmsicon-link-external"></i> <?php _e( 'View', 'dozent-lms' ); ?> </a> </li>

            <li> <button type="submit" class="dlms-btn dlms-btn-outline-primary" id="dlms-fcb-save-button" name="fcb_save_button" value="save"> <i class="lmsicon-save"></i> <?php _e( 'Save', 'dozent-lms' ) ?> </button> </li>

            <li> <button type="submit" class="dlms-btn dlms-btn-primary" name="fcb_save_button" value="publish"> <?php
                    if ( dozentlms_current_user_can_publish_course() ) {
	                    _e( 'Publish Course', 'dozent-lms' );
                    } else {
	                    _e( 'Submit Course', 'dozent-lms' );
                    }
                    ?> </button> </li>

            <li> <a href="<?php echo dozentlms_dashboard_link( 'my-courses-as-instructor' ) ?>"> <i class="lmsicon-exit"></i> <?php _e( 'Exit', 'dozent-lms' ); ?> </a> </li>

        </ul>
    </div>

</div>