<?php
/**
 * Course landing page information for the Learners
 *
 * @since DozentLMS 1.1.7
 */

defined( 'ABSPATH' ) || exit;

$learning_goal = get_post_meta( get_the_ID(), '_learning_goal', true );
$learning_requirements = get_post_meta( get_the_ID(), '_learning_requirements', true );
$targeted_students = get_post_meta( get_the_ID(), '_targeted_students', true );
?>


<div class="data-panel-intended-learners">

    <div class="intended-learners-section">

        <h3 class="intended-learners-title"> <?php _e( 'What will students learn in your course?', 'dozent-lms' ); ?> </h3>
        <p class="intended-learners-description"> <?php _e( 'Write each goal in a separate line that learners can expect from this course.', 'dozent-lms' ); ?> </p>

        <textarea name="learning_goal"><?php echo $learning_goal; ?></textarea>
    </div>


    <div class="intended-learners-section">

        <h3 class="intended-learners-title"> <?php _e( 'What are the requirements or prerequisites for taking your course?', 'dozent-lms' ); ?> </h3>
        <p class="intended-learners-description"> <?php _e( 'Write the required tools, skills, experience, or equipment learners should have prior to taking your course. One per line', 'dozent-lms' ); ?> </p>

        <textarea name="learning_requirements"><?php echo $learning_requirements; ?></textarea>
    </div>

    <div class="intended-learners-section">
        <h3 class="intended-learners-title"> <?php _e( 'Who are this course\'s targeted learners?', 'dozent-lms' ); ?> </h3>
        <p class="intended-learners-description"> <?php _e( 'Clearly list your target audience. The more you can specify your audience, the more you will get the right learners.', 'dozent-lms' ); ?> </p>

        <textarea name="targeted_students"><?php echo $targeted_students; ?></textarea>
    </div>

</div>
