<?php
/**
 * Course Pricing data
 */

defined( 'ABSPATH' ) || exit;

$pricing_types = dozentlms_course_pricing_types();
$access_type = dozentlms_course_access_type();
?>

<div class="dlms-course-pricing-data">

	<?php
	foreach ( $pricing_types as $type_key => $type ) {
		$pricing_name = dozentlms_arr_get( $type, 'name' );
		$pricing_description = dozentlms_arr_get( $type, 'description' );
		$callback = dozentlms_arr_get( $type, 'callback' );
		?>

        <div class="dlms-course-pricing-option">
            <label>
                <input type="radio" name="course_access_type" value="<?php echo $type_key; ?>" <?php checked( $type_key, $access_type ); ?> >
                <span class="course-pricing-label"> <?php echo $pricing_name; ?> </span>
                <p class="course-pricing-desc"> <?php echo $pricing_description; ?> </p>
            </label>

            <div class="price-type-fields price-type-<?php echo $type_key; ?>-fields dlms-hide">
				<?php
				if ( $callback ) {
					call_user_func( $callback );
				}
				do_action( 'dozentlms/course/price_type_fields', $type_key );
				do_action( "dozentlms/course/price_type_{$type_key}_fields" );
				?>

            </div>
        </div>

	<?php } ?>


	<?php if ( dozentlms_is_course_closed() ) {
		$product = dozentlms_get_course_product();

		if ( $product->product_id && ! empty( $product->product ) ) {
			$edit_url = add_query_arg( [ 'post' => $product->product_id, 'action' => 'edit' ], admin_url( 'post.php' ) );
			?>

            <div class="course-product-associated-wrap">

                <div class="course-product-associated-head">
                    <p class="course-product-associated-title"> <?php _e( 'this course is associated with', 'dozent-lms' ); ?> </p>

                    <a href="javascript:;" class="course-product-remove" data-course-id="<?php the_ID(); ?>" data-product-id="<?php echo $product->product_id; ?>"> <i class="lmsicon-close"></i> <?php _e( 'Remove', 'dozent-lms' ); ?> </a>
                </div>

                <div class="dlms_attached_product_wrap">

					<?php

					if ( 'WooCommerce' === $product->platform ) {
						$product_image_url = wp_get_attachment_url( $product->product->get_image_id() );
						if ( ! $product_image_url ) {
							$product_image_url = dozentlms_placeholder_src();
						}
						?>

                        <div class="course-product-image">
                            <img src="<?php echo $product_image_url; ?>" alt="" />
                        </div>

                        <div class="course-product-body">
                            <h3 class="course-product-title"> <?php echo $product->product->get_title(); ?> </h3>

                            <p class="course-product-price">
								<?php echo $product->product->get_price_html(); ?>
                            </p>

                            <div class="course-product-actions">

                                <a href="<?php echo $edit_url; ?>"> <i class="lmsicon-pencil"></i> <?php _e( 'Edit', 'dozent-lms' ); ?> </a>

                                <a href="<?php echo get_the_permalink( $product->product_id ); ?>"> <i class="lmsicon-eye"></i> <?php _e( 'View', 'dozent-lms' ); ?> </a>

                            </div>

                        </div>

						<?php


					}


					?>

                </div>

            </div>

		<?php }
	}
	?>

</div>
