<?php
/**
 * Course Promo Video
 */

defined( 'ABSPATH' ) || exit;

$video = get_post_meta( get_the_ID(), '_video', true );
$source = dozentlms_arr_get( $video, 'source' );
?>

<div class="dlms-form-video-sources">

    <h3> <?php _e( 'Promo video', 'dozent-lms' ); ?> </h3>
    <p class="coursedata-section-desc"> <?php _e( 'Upload a promo video to attract your target audiences. An awesome video helps you to get 5x students to enroll.', 'dozent-lms' ); ?> </p>

    <div class="video-source-segment-wrap <?php echo empty( $source ) ? 'checked' : ''; ?> ">
        <label class="video-source-label" data-video-source="">
            <input type='radio' name='_video[source]' value='' <?php checked( $source, '' ); ?> > <?php _e( 'None', 'dozent-lms' ); ?>
        </label>
    </div>

	<?php

	$videos  = dozentlms_get_enabled_video_sources();
	foreach ( $videos as $video_key => $video_label ) {
		$video_value = dozentlms_arr_get( $video, $video_key );
		$checked_class = ( $source === $video_key ) ? 'checked' : '';

		echo "<div class='video-source-segment-wrap {$checked_class}'>";
		echo "<label class='video-source-label' data-video-source='{$video_key}'> <input type='radio' name='_video[source]' value='{$video_key}' " . checked( $source, $video_key, false ) . " > {$video_label} </label>";
		?>

        <div class="video-source-input-wrap video-source-<?php echo esc_attr( $video_key ); ?>" style="display: <?php echo ($source === $video_key) ? 'block' : 'none'; ?>;" >
			<?php if ( $video_key === 'upload' ) {
				?>
                <div class="video-upload-form">

                    <div class="video-choose-wrap">
                        <div class="video-field-label">
                            <label> <?php _e( 'Lecture Video', 'dozent-lms' ); ?> </label>
                            <p class="description"> <?php _e( 'The supported video are .mp4, .ogv or .webm', 'dozent-lms' ); ?> </p>
                        </div>

						<?php dozentlms_upload_field( "_video[{$video_key}][video_id]", dozentlms_arr_get( $video_value, 'video_id' ), 'media' ); ?>
                    </div>

                    <div class="video-poster-wrap">
                        <div class="video-field-label">
                            <label> <?php _e( 'Video Poster', 'dozent-lms' ); ?> </label>
                            <p class="description"> <?php _e( 'Video poster supported files are .jpeg, .png', 'dozent-lms' ); ?> </p>
                        </div>

						<?php dozentlms_upload_field( "_video[{$video_key}][poster_id]", dozentlms_arr_get( $video_value, 'poster_id' ) ); ?>
                    </div>

                </div>

				<?php
			} elseif ( $video_key === 'youtube' ) {
				?>

                <input type="text" class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" placeholder="<?php _e( 'YouTube video url', 'dozent-lms' ); ?>" value="<?php echo esc_attr( $video_value ); ?>" />
				<?php

			} elseif ( $video_key === 'vimeo' ) {
				?>
                <input type="text" class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" placeholder="<?php _e( 'Vimeo video url', 'dozent-lms' ); ?>" value="<?php echo esc_attr( $video_value ); ?>" />
				<?php
			} elseif ( $video_key === 'embedded' ) {
				?>
                <textarea class="dlms-form-control" name="_video[<?php echo $video_key; ?>]" ><?php echo esc_textarea( $video_value ); ?></textarea>
                <p class="description"> <?php _e( 'Place embedded code', 'dozent-lms' ); ?> </p>
				<?php
			}
			?>

			<?php do_action( "dozentlms_form_video_after_{$video_key}" ); ?>
        </div>

		<?php
		echo "</div>";
	}
	?>
</div>