<?php
$attrs = dozentlms_course_data_field_attrs();
$course_data_panel = dozentlms_get_var( 'course_data_panel' );
?>

<input type="hidden" name="course_edit_screen" value="<?php echo is_admin() ? 'admin' : 'frontend'; ?>" >

<div class="dlms-coursedata-wrap">

    <div class="dlms-coursedata-form">

        <ul class="dlms-coursedata-navs">
			<?php
			$nav_i = 0;
			foreach ( $attrs as $datakey => $data ) {
				$nav_i++;

				$title = dozentlms_arr_get( $data, 'title' );
				$nav_url = add_query_arg( [ 'course_data_panel' => $datakey ] );
				$active_class = ( $nav_i == 1 ) ? 'active' : '';
				if ( $course_data_panel ) {
					$active_class = ( $datakey == $course_data_panel ) ? 'active' : '';
				}
				?>
                <li> <a href="<?php echo $nav_url ?>" class="<?php echo $active_class; ?>" data-target="#<?php echo $datakey; ?>_panel"> <?php echo $title; ?> </a> </li>
				<?php
			}
			?>
        </ul>

        <div class="coursedata-panel-wrap">

			<?php
			$data_i = 0;
			foreach ( $attrs as $datakey => $data ) {
				$data_i++;

				$panel_title = dozentlms_arr_get( $data, 'title' );
				$description = dozentlms_arr_get( $data, 'description' );
				$form_fields = dozentlms_arr_get( $data, 'form_fields' );
				$nav_url = add_query_arg( [ 'course_data_panel' => $datakey ] );

				$hidden_class = ( $data_i == 1 ) ? '' : 'hidden';
				if ( $course_data_panel ) {
					$hidden_class = ( $datakey == $course_data_panel ) ? '' : 'hidden';
				}
				?>
                <div id="<?php echo $datakey; ?>_panel" class="coursedata-panel <?php echo $hidden_class; ?>">
                    <?php
                    if ( ! empty( $description ) ) {
                        echo "<p class='coursedata-section-desc'>{$description}</p>";
                    }

                    do_action( "dozentlms/course_data/before_form/{$datakey}" );
                    do_action( 'dozentlms/course_data/before_form', $datakey );

					if ( is_array( $form_fields ) && count( $form_fields ) ) {
						foreach ( $form_fields as $field_key => $field ) {
							$field_type = dozentlms_arr_get( $field, 'type' );
							$field_label = dozentlms_arr_get( $field, 'label' );
							$field_title = dozentlms_arr_get( $field, 'title' );
							$description = dozentlms_arr_get( $field, 'description' );
							$options = dozentlms_arr_get( $field, 'options' );

							$field_name = "course_data[{$field_key}]";
							$field_value = dozentlms_course_data( $field_key );
							?>

                            <div class="coursedata-field-wrap">
                                <div class="coursedata-field-label">
                                    <label> <?php echo $field_title; ?> </label>
                                </div>

                                <div class="coursedata-field">
									<?php
									switch ( $field_type ) {
										case 'text' :
											?>
                                            <input type="text" name="<?php echo $field_name; ?>" value="<?php echo $field_value; ?>">
											<?php
											break;
										case 'number' :
											?>
                                            <input type="number" name="<?php echo $field_name; ?>" value="<?php echo $field_value; ?>">
											<?php
											break;
										case 'radio' :
											if ( is_array( $options ) && count( $options ) ) {
												foreach ( $options as $option_key => $option_label ) {
													?>
                                                    <label> <input type="radio" name="<?php echo $field_name; ?>" value="<?php echo $option_key; ?>" <?php checked( $option_key, $field_value ) ?> > <?php echo $option_label; ?> </label>
													<?php
												}
                                            }
											break;
                                        case 'checkbox' :
                                            ?>
                                        <label> <input type="checkbox" name="<?php echo $field_name; ?>" value="1" <?php echo checked( $field_value ) ?> > <?php echo $field_label; ?> </label>
                                        <?php
                                            break;
										case 'switch' :
										    echo dozentlms_switch_field( $field_name, $field_value, null, $field_label );
											break;
                                    }

									if ( ! empty( $description ) ) {
										echo "<p class='field-description'> {$description} </p>";
									}
									?>

                                </div>
                            </div>
							<?php

						}
					}

                    do_action( "dozentlms/course_data/after_form/{$datakey}" );
                    do_action( 'dozentlms/course_data/after_form', $datakey );

                    ?>


                </div>
				<?php
			}
			?>

        </div>

    </div>


</div>