<?php

add_action( 'wp_ajax_dozentlms_save_settings', 'dozentlms_save_settings' );

function dozentlms_save_settings() {
	if ( ! wp_verify_nonce( dozentlms_request_text( 'dozentlms_settings_nonce' ), 'dozentlms_settings_nonce' ) ) {
		exit( __( 'Nonce not verified', 'dozent-lms' ) );
	}

	$settings = dozentlms_request_arr( '_dozentlms_settings' );
	update_option( 'dozentlms_settings', $settings );
	update_option( 'dozentlms_settings_changed', time() );
	do_action( 'dozentlms/settings/saved' );

	wp_send_json_success( [ 'message' => __( 'Settings has been saved', 'dozent-lms' ) ] );
}

function dozentlms_get_setting( $setting, $default = false ) {
	$settings_value = dozentlms_arr_get( get_option( 'dozentlms_settings' ), $setting, $default );

	if ( false === $settings_value ) {
		/**
		 * Find the default value (if any) from raw settings fields
		 */
		$settings_form_fields = \DozentLMS\Core\Settings\Settings::only_field_items();

		$settings_value = dozentlms_arr_get( $settings_form_fields, "{$setting}.default", $default );
	}

	return apply_filters( 'dozentlms_get_setting', $settings_value, $setting, $default );
}

add_action( 'admin_init', 'dozentlms_settings_changed' );
function dozentlms_settings_changed(){
	if ( get_option( 'dozentlms_settings_changed' ) ) {
		flush_rewrite_rules();

		delete_option( 'dozentlms_settings_changed' );
	}
}