<?php
$current_tab = dozentlms_get_var('tab');
?>

<div class="wrap">

    <div id="dozentlms-settings-page">
        <form id="DozentLMSSettingsForm" action="" method="post">
            <input type="hidden" name="action" value="dozentlms_save_settings">
			<?php wp_nonce_field('dozentlms_settings_nonce', 'dozentlms_settings_nonce') ?>

            <div class="settings-header">
                <h2>
		            <?php _e('DozentLMS', 'dozent-lms') ?>
                    <small class="version"> <?php echo DOZENTLMS_VERSION; ?> </small>
                </h2>
            </div>

            <div class="settings-body">
                <div class="settings-menu-wrap">
					<?php
					$first_tab_id = null;

					foreach ( $this->form_fields as $tab_id => $form_segment ){

						if ( ! $first_tab_id){
							$first_tab_id = $tab_id;
						}

						$is_current_tab = ( $tab_id == $current_tab );
						if ( ! $is_current_tab && ! $current_tab) {
							$is_current_tab = ( $tab_id == $first_tab_id );
						}

						?>
                        <a href="<?php echo admin_url('admin.php?page=dozentlms-settings&tab='.$tab_id); ?>" class="option-sidebar-item option-sidebar-item-<?php echo $tab_id ?> <?php echo $is_current_tab ? 'current' : ''; ?> " data-target="#tab-<?php echo $tab_id; ?>">
                            <span class="option-tab-item-title">
                                <?php echo dozentlms_arr_get( $form_segment, 'title' ); ?>
                            </span>
                        </a>
						<?php
					}
					?>
                </div>

                <div class="settings-fields-wrap">
                    <div class="panel-top-bar">
                        <div class="col-left">
							<?php do_action('dozentlms_settings_panel_top_bar_left'); ?>
                            <div id="settings-panel-notice-wrap"></div>
                        </div>

                        <div class="col-right">
                            <button type="submit" name="dozentlms_settings_save_btn" class="button save-button"><?php _e('Save Changes', 'dozent-lms'); ?></button>
                        </div>
                    </div>

					<?php
					foreach ( $this->form_fields as $tab_id => $form_segment) {
						$is_current_tab = ( $tab_id == $current_tab );
						if ( ! $is_current_tab && ! $current_tab) {
							$is_current_tab = ( $tab_id == $first_tab_id );
						}

						?>
                        <div id="tab-<?php echo $tab_id; ?>" class="settings-tab-content" style="display: <?php echo $is_current_tab ? 'block' : 'none'; ?>;" >

							<?php
							do_action('dozentlms_settings/tab/before');
							do_action('dozentlms_settings/tab/before/'.$tab_id);

							$segment_fields = (array) dozentlms_arr_get( $form_segment, 'form_fields' );
							foreach ( $segment_fields as $group_id => $fields_group ){

								do_action("dozentlms_settings/field_group/before/{$tab_id}/$group_id");

								$input_fields = dozentlms_arr_get( $fields_group, 'input_fields' );
								$group_header = dozentlms_arr_get( $fields_group, 'title' );
								$group_description = dozentlms_arr_get( $fields_group, 'description' );
								?>

                                <div class="settings-group-wrap">
                                    <h3 class="settings-group-header"><?php echo $group_header; ?></h3>
                                    <p class="settings-group-description"><?php echo $group_description; ?></p>
                                </div>

                                <table class="form-table" role="presentation">
									<?php
									if ( is_array( $input_fields ) && count( $input_fields ) ) {
										foreach ( $input_fields as $field_name => $field ) {
											$field_type = dozentlms_arr_get( $field, 'type' );
											$field_label = dozentlms_arr_get( $field, 'label' );
											$field_desc = dozentlms_arr_get( $field, 'description' );
											$field['field_name'] = $field_name;
											?>
                                            <tr>
                                                <th scope="row"> <label> <?php echo $field_label; ?> </label> </th>
                                                <td>
													<?php
													$this->render_element( $field );
													if ( ! empty( $field_desc ) ) {
														echo "<p class='description'> {$field_desc} </p>";
													}
													?>
                                                </td>
                                            </tr>
											<?php
										}
									}
									?>
                                </table>
								<?php

								do_action("dozentlms_settings/field_group/after/{$tab_id}/$group_id");
							}

							do_action('dozentlms_settings/tab/after');
							do_action('dozentlms_settings/tab/after/'.$tab_id);
							?>
                        </div>
						<?php
					}
					?>
                    <div class="panel-bottom-bar">
                        <div class="col-left"><?php do_action('dozentlms_settings_panel_bottom_bar_left'); ?></div>

                        <div class="col-right">
                            <button type="submit" name="dozentlms_settings_save_btn" class="button save-button"><?php _e('Save Changes', 'dozent-lms'); ?></button>
                        </div>
                    </div>

                </div>
            </div>

        </form>
    </div>

</div>