<?php
/**
 * Plugin Name: Dozent LMS
 * Plugin URI: https://www.dozentlms.com
 * Description: Easily create Learning Management System with WordPress
 * Author: Dozent LMS Team
 * Author URI: https://www.dozentlms.com/?utm_source=wp-plugins&utm_campaign=plugin-uri&utm_medium=wp-dash
 * Version: 1.2.4
 * Requires at least: 5.1
 * Tested up to: 5.8
 * License: GPLv2 or later
 * Text Domain: dozent-lms
 */

defined( 'ABSPATH' ) || exit;

if ( ! defined( 'DOZENTLMS_FILE' ) ) {
	define( 'DOZENTLMS_FILE', __FILE__ );
}
if ( ! defined( 'DOZENTLMS_ABSPATH' ) ) {
	define( 'DOZENTLMS_ABSPATH', dirname( __FILE__ ) );
}
if ( ! defined( 'DOZENTLMS_VERSION' ) ) {
	define( 'DOZENTLMS_VERSION', '1.2.4' );
}
if ( ! defined( 'DOZENTLMS_URL' ) ) {
	define( 'DOZENTLMS_URL', plugin_dir_url( DOZENTLMS_FILE ) );
}

load_plugin_textdomain( 'dozent-lms', false, basename( dirname( __FILE__ ) ) . '/languages' );

require_once __DIR__ . '/Autoloader.php';

register_activation_hook( DOZENTLMS_FILE, [ \DozentLMS\Admin\Operations::class, 'activate_plugin' ] );

function dozentlms(){
	return \DozentLMS\Includes\App::instance();
}

add_action( 'plugins_loaded', 'dozentlms', 1 );