<?php

namespace DozentLMS\Includes;

use DozentLMS\Core\Class_Mapper;

class App {

	/**
	 * @var Class_Mapper;
	 */
	public $helper;

	public function __construct(){
		//

	}


	public static function instance() {
		static $instance = null;

		// Only run these methods if they haven't been run previously.
		if ( null === $instance ) {
			$instance = new App();

			//Include all files first
			$instance->includes();

			//Mapping all PHP Classes required in DozentLMS
			$instance->helper = new Class_Mapper();

			//Init DozentLMS
			$instance->init();
		}

		// Always return the instance.
		return $instance;
	}

	private function includes(){
		require DOZENTLMS_ABSPATH . '/addons/functions-addons.php';
		require DOZENTLMS_ABSPATH . '/includes/functions.php';
		require DOZENTLMS_ABSPATH . '/core/settings/functions-settings.php';
		require DOZENTLMS_ABSPATH . '/core/functions-conditions.php';
		require DOZENTLMS_ABSPATH . '/core/functions-template.php';
		require DOZENTLMS_ABSPATH . '/core/functions-core.php';
		require DOZENTLMS_ABSPATH . '/core/functions-form.php';
		require DOZENTLMS_ABSPATH . '/core/course/course-functions.php';
		require DOZENTLMS_ABSPATH . '/core/hooks.php';
		require DOZENTLMS_ABSPATH . '/core/user/functions-users.php';
	}

	public function init(){
		do_action( 'dozentlms_pre_init' );

		do_action( 'dozentlms_init' );
	}

}