<?php
/**
 * Review Modal Template
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/addons/ratings-reviews/review-modal.php
 */

defined( 'ABSPATH' ) || exit;

$course_id = dozentlms_get_course_id();
$course = get_post( $course_id );
$has_rating = dozentlms_get_course_rating_by_user( $course );

$current_rating = 5;
$review_content = '';

if ( ! empty( $has_rating->rating ) ) {
	$current_rating = $has_rating->rating;
}
if( ! empty( $has_rating->comment_content ) ){
    $review_content = $has_rating->comment_content;
}
?>

<div class="dlms-modal dlms-rate-review-modal">
    <div class="modal-wrap">

        <div class="modal-header">
            <div class="modal-title">
                <h4> <?php _e( 'Rate this course and share your experience', 'dozent-lms' ); ?> </h4>
            </div>

            <a href="javascript:;" class="modal-close"> &times; </a>
        </div>

        <form id="dlms-review-form" action="">
            <input type="hidden" name="action" value="review_form">
            <input type="hidden" name="course_id" value="<?php echo $course_id; ?>">

            <div class="modal-content">
                <div id="course-rate-area">
                    <p class="course-title"> <strong> <i class="lmsicon-graduation-cap"></i> <?php _e( 'Course: ', 'dozent-lms' ); ?> <?php echo $course->post_title; ?> </strong> </p>

                    <div class="course-rating-field-wrap">
                        <p class="review-field-title"> <?php _e( 'Rating : ', 'dozent-lms' ); ?> </p>
				        <?php dozentlms_rating_input( $current_rating ); ?>
                    </div>

                    <div class="course-review-field-wrap">
                        <p class="review-field-title"> <?php _e( 'Review : ', 'dozent-lms' ); ?> </p>
                        <textarea name="course_review"><?php echo $review_content; ?></textarea>
                    </div>

                    <p class="dlms-review-consent">
                        <i class="lmsicon-earth"></i>
				        <?php
				        $display_name = $current_user_name = wp_get_current_user()->display_name;
				        echo sprintf( __( 'Your review will be publicly visible under the name %s', 'dozent-lms' ), "<span> {$display_name} </span>" ) ; ?>
                    </p>

                </div>
            </div>

            <div class="modal-footer">
                <button type="submit" id="dlms-save-review-btn" class="dlms-btn dlms-btn-primary">
                    <i class="lmsicon-save"></i>
			        <?php _e( 'Save Review', 'dozent-lms' ); ?>
                </button>

                <button id="dlms-review-cancel-btn" class="dlms-btn dlms-btn-outline-secondary"> <?php _e( 'Cancel', 'dozent-lms' ); ?> </button>
            </div>
        </form>

    </div>
</div>