<?php
/**
 * Course Reviews Template
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/addons/ratings-reviews/course-reviews.php
 */

defined( 'ABSPATH' ) || exit;

$reviews_overview = dozentlms_get_course_rating_overview();
if ( empty( $reviews_overview[ 'total_rating' ] ) ) {
	return;
}

$rating_stats = dozentlms_arr_get( $reviews_overview, 'rating_stats' );
$rating_average = dozentlms_arr_get( $reviews_overview, 'rating_average' );
?>


<div id="dlms-course-page-reviews" class="dlms-course-page-section">

    <div class="dlms-course-page-reviews-section-title">
        <h2 class="course-page-section-title"><?php _e( 'Student feedback', 'dozent-lms' ); ?></h2>
		<?php do_action( 'dozentlms/course-page/section/reviews/title/after' ); ?>
    </div>


    <div class="dlms-review-summery-wrap">

        <div class="course-review-average-wrap">
            <h2 class="course-average-rating-heading"> <?php echo $rating_average; ?> </h2>
			<?php dozentlms_render_rating( $rating_average ); ?>
            <h5 class="course-rating-text-heading"> <?php _e( 'Course Rating', 'dozent-lms' ); ?> </h5>
        </div>

        <div class="course-rating-progress">

			<?php
            foreach ( $rating_stats as $rating_key => $rating_stat ) {
				$rating_percent = dozentlms_arr_get( $rating_stat, 'percent' );
				?>
                <button type="button" class="review-summery-rating-row" data-rating="<?php echo $rating_key; ?>" >
                <span class="rate-bar-wrap">
                    <span class="course-summery-rate-bar-bg">
                        <span class="course-summery-rate-bar-fill" style="width: <?php echo $rating_percent; ?>%"></span>
                    </span>
                </span>
                    <span class="rate-row-star-rating"> <?php dozentlms_render_rating( $rating_key ); ?> </span>
                    <span class="rate-row-percent" > <?php echo $rating_percent; ?>% </span>
                </button>
				<?php
			} ?>

        </div>

    </div>


    <h2 class="course-page-section-title"> <?php _e( 'Reviews', 'dozent-lms' ); ?> </h2>

    <div class="course-page-reviews-filter-wrap">
        <div class="dlms-reviews-search-filter-wrap">
            <input type="hidden" id="dlms-reviews-course-id" value="<?php the_ID(); ?>">

            <form id="dlms-reviews-search-input-form" action="" method="post">
                <div class="dlms-reviews-search-form-group">
                    <input type="text" id="dlms-reviews-search-input" name="reviews_search_field" />
                    <button type="submit"> <i class="lmsicon-search"></i> </button>
                </div>
            </form>
        </div>

        <div class="dlms-reviews-filter-by-rating-wrap">
            <select id="dlms-reviews-filter-rating" name="filter_by_rating">
                <option value="all"> <?php _e( 'All ratings', 'dozent-lms' ); ?> </option>
                <option value="5"> <?php _e( 'Five stars', 'dozent-lms' ); ?> </option>
                <option value="4"> <?php _e( 'Four stars', 'dozent-lms' ); ?> </option>
                <option value="3"> <?php _e( 'Three stars', 'dozent-lms' ); ?> </option>
                <option value="2"> <?php _e( 'Two stars', 'dozent-lms' ); ?> </option>
                <option value="1"> <?php _e( 'One star', 'dozent-lms' ); ?> </option>
            </select>
        </div>

    </div>

	<?php
	$reviews = dozentlms_course_get_reviews( [ 'course_id'  => get_the_ID() ] );
	if ( $reviews->total ) {
		?>
        <div class="course-page-reviews-list-wrap">
			<?php
			foreach ( $reviews->results as $review ) {
				dozentlms_loop_review( $review );
			}
			?>
        </div>

		<?php if ( $reviews->results_left ) { ?>
            <div class="reviews-show-more-btn-wrap">
                <button class="reviews-show-ore-btn" data-course-id="<?php the_ID(); ?>" data-page="<?php echo $reviews->page; ?>"> <?php _e( 'Show more reviews', 'dozent-lms' ); ?> </button>
            </div>
		<?php }
	}
	?>

</div>