<?php
/**
 * Template for sort existing course query.
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/course/archive-sort.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined('ABSPATH') || exit;
?>

<div class="course-sorting-bar">

	<?php if ( dozentlms_archive_is_filtered() ) { ?>
        <div class="sorting-bar-left">
			<?php if ( dozentlms_is_archive_sorted() ){ ?>
                <a href="<?php echo dozentlms_get_archive_link(); ?>">
                    <i class="lmsicon-close"></i> <?php _e( 'Reset Filter', 'dozent-lms' ); ?>
                </a>
			<?php } ?>
        </div>
	<?php } ?>

    <div class="sorting-elements">

        <div class="perpage-sort">
            <label> <?php _e('Per page', 'dozent-lms'); ?> : </label>
            <select name="per_page">
				<?php
				$steps = range( 10, 100, 10 );
				$perpage = dozentlms_course_per_page();

				if ( ! in_array( $perpage, $steps ) ) {
					echo "<option value='{$perpage}' > {$perpage} </option>";
				}
				foreach ( $steps as $step ) {
					echo "<option value='{$step}' " . selected( $perpage, $step, false ) . " > {$step} </option>";
				}
				?>
            </select>
        </div>

        <div class="filter-by">

            <select name="sort_by">
                <?php
                $sort_by_var = dozentlms_get_var( 'sort_by' );
                foreach ( dozentlms_course_filter_items() as $sort_key => $sort_label ) {
                    echo "<option value='{$sort_key}' " . selected( $sort_key, $sort_by_var, false ) . " > {$sort_label} </option>";
                } ?>
            </select>

        </div>

        <div class="listgrid-toggle-wrap">
            <button type="button" class="listgrid-toggle" data-view="grid">
                <i class="lmsicon-grid"></i>
            </button>

            <button type="button" class="listgrid-toggle" data-view="list">
                <i class="lmsicon-menu"></i>
            </button>
        </div>


    </div>




</div>