<?php
/**
 * Template for the course card. Used within loop
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/course/card.php
 */

defined('ABSPATH') || exit;

$per_row_col = dozentlms_get_setting( 'show_course_per_row', 3 );
?>

<div class="dlms-course-card layout-col-<?php echo $per_row_col; ?>">
    <div class="dlms-course-card-inner-wrap">

        <div class="dlms-course-card-image-wrap"> <?php dozentlms_featured_image(); ?> </div>

        <div class="dlms-course-card-body">
            <div class="dlms-course-card-summery">

				<?php do_action( 'dozentlms/course/card/title/before' ); ?>
                <h3 class="course-title">
                    <a href="<?php the_permalink(); ?>"> <?php the_title(); ?> </a>
                </h3>
				<?php do_action( 'dozentlms/course/card/title/after' ); ?>

				<?php do_action( 'dozentlms/course/card/meta/before' ); ?>

                <div class="card-meta">

					<?php do_action( 'dozentlms/course/card/meta_inner/before' ); ?>
                    <div class="card-instructors">
						<?php echo dozentlms_course_tagged_instructors(); ?>
                    </div>
					<?php do_action( 'dozentlms/course/card/meta_inner/after' ); ?>

                </div>

				<?php do_action( 'dozentlms/course/card/meta/after' ); ?>

                <div class="course-excerpt"> <p> <?php dozentlms_excerpt(); ?> </p> </div>

				<?php do_action( 'dozentlms/course/card/content' ); ?>
            </div>

            <div class="dlms-course-card-footer">
                <div class="card-course-price">
					<?php dozentlms_course_price(); ?>
                </div>
                <div class="card-course-action">
                    <a href="<?php the_permalink(); ?>"> <?php _e( 'Begin', 'dozent-lms' ); ?> </a>
                </div>
            </div>
        </div>

    </div>

</div>