<?php
/**
 * Course Single page
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/single-course.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

wp_head();

do_action('dozentlms/lecture/single/before/wrap');

$course_id = dozentlms_get_course_id();
?>
    <div id="dlms-single-content-wrap" class="dlms-single-lecture-wrap">

        <div id="dlms-single-topbar">
            <?php do_action( 'dozentlms/learning_area/topbar/before' ); ?>

            <a href="<?php the_permalink( $course_id ); ?>" class="dlms-btn course-action-item"> <i class="lmsicon-graduation-cap"></i> <?php _e( 'Course Home', 'dozent-lms' ); ?> </a>

            <?php do_action( 'dozentlms/learning_area/topbar/after' ); ?>

	        <?php dozentlms_course_completion_form(); ?>
        </div>

        <div id="single-content-layout">
            <div id="dlms-content-sidebar">
                <?php dozentlms_syllabus_item_sidebar(); ?>
            </div>

            <div id="dlms-content-wrap">

                <?php
                dozentlms_syllabus_nav_link();

                if ( dozentlms_is_syllabus_item_completed() ) {
	                echo '<p class="syllabus-completed-text">';
	                echo "<i class='lmsicon-checkbox-checked'></i> ";
	                _e( 'Completed', 'dozent-lms' );
	                echo '</p>';
                }
                ?>

                <h1 class="lecture-title"> <?php the_title(); ?> </h1>

                <?php dozentlms_syllabus_item_content(); ?>
            </div>

        </div>

    </div>

<?php
do_action('dozentlms/lecture/single/after/wrap');

wp_footer();