<?php
/**
 * Course Syllabus
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/course/single/course-syllabus.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

$modules = dozentlms_get_course_syllabus_data();

if ( empty( $modules ) ) {
    return '';
}
?>

<div id="dlms-course-syllabus">

    <h2 class="course-page-section-title"> <?php _e( 'Course Syllabus', 'dozent-lms' ); ?> </h2>

    <div class="dlms-course-content-stats">
        <p class="dlms-course-stats-text">
			<?php
			$course_stats = dozentlms_get_course_content_stats();

			echo sprintf( '%d %s', $course_stats->total_module, _n( 'module', 'modules', $course_stats->total_module, 'dozent-lms' ) );
			echo " • ";
			echo sprintf( '%d %s', $course_stats->total_lectures, _n( 'lecture', 'lectures', $course_stats->total_lectures, 'dozent-lms' ) );

			if ( ! empty( $course_stats->human_readable_duration ) ) {
				echo " • {$course_stats->human_readable_duration} " . __( 'total length', 'dozent-lms' );
			}
			?>
        </p>

        <p class="dlms-expand-collapse-btn-wrap">
            <a href="javascript:;" class="dlms-syllabus-expand-collapse-btn" data-action="expand">
				<?php _e( 'Expand all modules', 'dozent-lms' ); ?>
            </a>
        </p>

    </div>

	<?php
	$module_i = 0;
	foreach ( $modules as $module ) {
		$module_i++;
		?>
        <div class="dlms-module">
            <div class="dlms-module-header" data-action="<?php echo ( 1 == $module_i ) ? 'expand' : 'collapse'; ?>" >
                <i class="lmsicon-circle-up"></i>
                <h4> <?php echo $module->post_title; ?> </h4>

                <div class="module-stats">
                    <span> <?php echo sprintf( _n( '%s Lecture', '%s Lectures', $module->total_lectures, 'dozent-lms'  ), $module->total_lectures ); ?> </span>
                </div>
            </div>

            <div class="dlms-module-items <?php echo ( 1 != $module_i ) ? 'module-item-hidden' : ''; ?> ">
				<?php
				foreach ( $module->items as $item ){
					?>
                    <div class="dlms-item">
						<?php do_action( 'dozentlms/syllabus/item/before', $item ); ?>
                        <p class="dlms-item-title">
                            <a href="<?php echo get_the_permalink( $item ); ?>">
								<?php
								dozentlms_course_content_icon(  $item );
								echo $item->post_title; ?>
                            </a>
                        </p>

						<?php
						$lecture_video_time = dozentlms_get_lecture_video_time( $item );
						if ( $lecture_video_time ) {
							$video_duration = dozentlms_time_to_duration( $lecture_video_time );

							echo "<p class='dlms-item-duration'> {$video_duration} </p>";
						}

						?>

						<?php do_action( 'dozentlms/syllabus/item/after', $item ); ?>
                    </div>
					<?php
				}
				?>
            </div>
        </div>

		<?php
	}
	?>
</div>