<?php
/**
 * Template for Enroll box, contains media and enrollment
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/course/single/enroll-box.php
 */

defined('ABSPATH') || exit;
?>

<div id="dlms-enroll-box" class="dlms-border dlms-p-3 dlms-bg-white" >

	<?php do_action( 'dozentlms/enroll_box/before' ); ?>

    <div class="dlms-course-header-media dlms-mb-3">
		<?php dozentlms_course_promo(); ?>
	</div>

    <div class="dlms-course-single-price-wrap">
        <?php dozentlms_course_price(); ?>
    </div>

	<?php
	if ( dozentlms_is_course_public() ) {
		echo "<p class='enroll-box-public-text'> <i class='lmsicon-earth'></i> " . __( 'This course is open for all', 'dozent-lms' ) . " </p>";
	}
	?>

	<div class="dlms-enroll-button-wrap dlms-mt-3">
        <?php if ( dozentlms_has_course_access() ) {
            ?>
            <a href="<?php echo dozentlms_course_start_url(); ?>" class="start-course-button dlms-btn dlms-btn-primary dlms-py-3 dlms-btn-block"> <?php _e( 'Start Course', 'dozent-lms' ); ?> </a>
        <?php
        } else {
            ?>
            <form action="" method="post">
                <input type="hidden" name="dlms_enroll_course_id" value="<?php the_ID(); ?>" >
                <button type="submit" class="start-course-button dlms-btn dlms-btn-primary dlms-py-3 dlms-btn-block"> <?php _e( 'Enroll Now', 'dozent-lms' ); ?> </button>
            </form>
        <?php
        } ?>

	</div>

    <?php do_action( 'dozentlms/enroll_box/after' ); ?>

</div>
