<?php
/**
 * Course Header Template
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/course/single/header.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined('ABSPATH') || exit;
?>


<div class="dlms-course-header-wrap dlms-vw-container dlms-bg-light dlms-border-bottom">

	<div class="dlms-container">

		<div class="dlms-row">

			<div class="dlms-col-8">

                <div class="dlms-course-header-content">

                    <?php do_action( 'dozentlms/course/header/content/before' ); ?>

	                <?php do_action( 'dozentlms/course/header/title/before' ); ?>
                    <h1 class="dlms-course-header-title dlms-mb-3"> <?php the_title(); ?> <?php dozentlms_course_completed_label(); ?> </h1>
	                <?php do_action( 'dozentlms/course/header/title/after' ); ?>

	                <?php do_action( 'dozentlms/course/header/excerpt/before' ); ?>
                    <p class="dlms-course-header-excerpt dlms-mb-3"> <?php dozentlms_excerpt(); ?> </p>
	                <?php do_action( 'dozentlms/course/header/excerpt/after' ); ?>

                    <?php dozentlms_course_page_header_rating(); ?>

                    <div class="dlms-course-header-meta">
                        <p> <i class="lmsicon-user"></i> <?php _e( 'Instructor', 'dozent-lms' ); ?> <span> <?php echo dozentlms_course_tagged_instructors(); ?> </span> </p>

                        <p> <i class="lmsicon-clock"></i> <?php _e( 'Last Updated', 'dozent-lms' ); ?> <span> <?php echo get_the_modified_date( 'F jS, Y' ); ?> </span> </p>
                    </div>

                    <div class="dlms-course-header-btn-groups">
	                    <?php do_action( 'dozentlms/course/header/btn_groups/before' ); ?>

                        <div class="wishlist-btn-wrap">
                            <button class="dlms-btn toggle-wishlist-btn" data-course-id="<?php the_ID(); ?>"> <?php
                                if ( dozentlms_wishlisted() ) {
	                                echo ' <i class="lmsicon-heart"></i> ';
	                                _e( 'Wishlisted', 'dozent-lms' );
                                } else {
	                                echo ' <i class="lmsicon-heart-line"></i> ';
	                                _e( 'Wishlist', 'dozent-lms' );
                                }
                                ?>
                            </button>
                        </div>

	                    <?php do_action( 'dozentlms/course/header/btn_groups/after' ); ?>
                    </div>

	                <?php do_action( 'dozentlms/course/header/content/after' ); ?>

                </div>

			</div>

			<div class="dlms-col-4">
                <?php dozentlms_enroll_box(); ?>
            </div>

		</div>

	</div>

</div>