<?php
/**
 * Frontend User Dashboard Home Page
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/dashboard/home.php
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 *
 */

defined( 'ABSPATH' ) || exit;

dozentlms_header();
?>


    <div class="dlms-dashboard-container">

        <div class="dlms-dashboard-header">
            <div class="dlms-dashboard-header-left">
                <div class="dlms-dashboard-header-brand">
					<?php
					$brand_logo = dozentlms_get_setting( 'site_brand_logo' );
					$logo_details = wp_prepare_attachment_for_js( $brand_logo );
					$logo_url = dozentlms_arr_get( $logo_details, 'url' );
					if ( ! empty( $logo_url ) ) {
						?>
                        <a class="dlms-brand-logo" href="<?php echo esc_url( get_home_url() ); ?>"> <img src="<?php echo $logo_url; ?>" alt="<?php bloginfo( 'name' ); ?>" title="<?php bloginfo( 'name' ); ?>" /> </a>
						<?php
					}
					?>
                </div>
            </div>


            <div class="dlms-dashboard-header-right">
                <ul class="dlms-dashboard-top-nav">
                    <li> <a href="<?php echo dozentlms_get_archive_link() ?>"> <?php _e( 'Courses', 'dozent-lms' ); ?> </a> </li>
                    <li> <a href="<?php echo dozentlms_dashboard_link( 'manage-profile' ) ?>"> <?php _e( 'Profile', 'dozent-lms' ); ?> </a> </li>

					<?php
					if ( dozentlms_is_instructor() ) {
						?>
                        <li> <a href="<?php echo dozentlms_new_course_link(); ?>" class="dlms-btn dlms-btn-create-course"> <?php _e( 'Create New Course', 'dozent-lms' ); ?> </a> </li>
						<?php
					}
					?>

                </ul>
            </div>

        </div>

        <div class="dlms-dashboard-body">

            <div class="dlms-dashboard-sidebar">
				<?php
				echo \DozentLMS\Core\User\Panel::render_sidebar_menu();
				?>
            </div>

            <div class="dlms-dashboard-content">
				<?php
				dozentlms_dashboard_breadcrumb();
				dozentlms_load_dashboard_template();
				?>
            </div>

        </div>


    </div>

<?php
dozentlms_footer();
