<?php
/**
 * My Profile
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/dashboard/manage-profile.php
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 *
 */

defined( 'ABSPATH' ) || exit;

$user = wp_get_current_user();
?>

<h2 class="dashboard-page-title"> <?php _e( 'My Profile', 'dozent-lms' ); ?> </h2>

<div class="dashboard-profile-page-wrap">

    <div class="dlms-row">
        <div class="dlms-col-3">

            <div class="db-profile-image-wrap">
                <div class="db-profile-image">
	                <?php echo get_avatar( $user->ID ); ?>
                </div>

                <h4 class="db-display-name"> <?php echo $user->display_name; ?> </h4>

                <p>
                    <a href="<?php echo dozentlms_dashboard_link( 'manage-profile/edit' ) ?>"> <?php _e( 'Edit Profile', 'dozent-lms' ); ?> </a>
                </p>
                <p>
                    <a href="<?php echo dozentlms_dashboard_link( 'manage-profile/change-password' ) ?>"> <?php _e( 'Change Your Password', 'dozent-lms' ); ?> </a>
                </p>
            </div>
            
        </div>

        <div class="dlms-col-9">


            <div class="db-profile-field">
                <label> <?php _e( 'First Name', 'dozent-lms' ); ?> </label>
                <div class="db-profile-field-value"> <?php echo $user->first_name; ?> </div>
            </div>

            <div class="db-profile-field">
                <label> <?php _e( 'Last Name', 'dozent-lms' ); ?> </label>
                <div class="db-profile-field-value"> <?php echo $user->last_name; ?> </div>
            </div>

            <div class="db-profile-field">
                <label> <?php _e( 'Email', 'dozent-lms' ); ?> </label>
                <div class="db-profile-field-value"> <?php echo $user->user_email; ?> </div>
            </div>

            <div class="db-profile-field">
                <label> <?php _e( 'Biographical Info', 'dozent-lms' ); ?> </label>
                <div class="db-profile-field-value"> <?php echo $user->description; ?> </div>
            </div>

        </div>
        
    </div>



</div>