<?php
/**
 * My Profile Edit
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/dashboard/manage-profile/change-password.php
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 *
 */

defined( 'ABSPATH' ) || exit;
?>

<h2 class="dashboard-page-title">
    <?php _e( 'Change Your Password', 'dozent-lms' ); ?>
</h2>

<div class="dlms-change-password-wrap">

    <div id="change-password-errors">

        <?php
        dozentlms_flash_notice();

        $errors = apply_filters( 'dozentlms_change_password_errors', [] );
        if ( is_array( $errors ) && count( $errors ) ) {
            foreach ( $errors as $error ) {
                echo "<p class='error-label'> <i class='lmsicon-notification'></i> {$error} </p>";
            }
        }
        ?>

    </div>

    <form action="" method="post">
        <input type="hidden" name="dlms_action" value="change_password">

        <div class="dlms-change-password-form">

            <div class="dlms-row">
                <div class="dlms-col-12">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'Current Password', 'dozent-lms' ); ?> </label>
                        <input type="password" name="current_password" class="dlms-form-control">
                    </div>
                </div>
            </div>
            <div class="dlms-row">
                <div class="dlms-col-12">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'New Password', 'dozent-lms' ); ?> </label>
                        <input type="password" name="new_password" class="dlms-form-control">
                    </div>
                </div>
            </div>
            <div class="dlms-row">
                <div class="dlms-col-12">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'Confirm New Password', 'dozent-lms' ); ?> </label>
                        <input type="password" name="confirm_new_password" class="dlms-form-control">
                    </div>
                </div>
            </div>

            <button type="submit" class="dlms-btn dlms-btn-primary">
                <?php _e( 'Save Changes', 'dozent-lms' ); ?>
            </button>

        </div>


    </form>

</div>