<?php
/**
 * Enrolled Courses
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/dashboard/my-enrolled-courses.php
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 *
 */

defined( 'ABSPATH' ) || exit;

?>

<h2 class="dashboard-page-title"> <?php _e( 'Courses I enrolled', 'dozent-lms' ); ?> </h2>

<?php
$courses = dozentlms_enrolled_courses();

if ( $courses && $courses->have_posts() ) {
	while ( $courses->have_posts() ) {
		$courses->the_post();

		$continue_course_url = dozentlms_course_start_url();
		?>

            <div class="my-course-list-item">

                <div class="course-thumb-wrap">
                    <?php dozentlms_featured_image(); ?>
                </div>

                <div class="list-course-info">
                    <div class="list-course-body">
                        <h3> <?php the_title(); ?> </h3>
                    </div>

                    <div class="list-course-footer">
	                    <?php
                        dozentlms_course_price();

	                    $course_stats = dozentlms_course_stats();
	                    echo '<p class="course-list-info-meta"> <i class="lmsicon-book"></i> ' . sprintf( _n( '%d Lecture', '%d Lectures', $course_stats->lectures_total, 'dozent-lms' ), $course_stats->lectures_total ) . ' </p>';

                        if ( ! empty( $continue_course_url ) ) {
	                        echo "<a href='{$continue_course_url}' class='course-action-item'> <i class='lmsicon-arrow-right'></i> " . __( 'Continue', 'dozent-lms' ) . " </a>";
                        }
                        ?>

                        <a href="<?php the_permalink(); ?>" class="course-action-item"> <i class="lmsicon-eye"></i> <?php _e( 'View', 'dozent-lms' ); ?> </a>

                    </div>
                </div>

            </div>

		<?php

	}
} else {
    _e( 'No course found', 'dozent-lms' );
}

?>
