<?php
/**
 * My Ratings
 *
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/dashboard/my-ratings.php
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 *
 */

defined( 'ABSPATH' ) || exit;

$ratings = dozentlms_course_get_reviews( [ 'user_id' => get_current_user_id() ] );
?>

<h2 class="dashboard-page-title"> <?php _e( 'My Ratings', 'dozent-lms' ); ?> </h2>

<div class="dlms-dashboard-my-ratings">

	<?php
	if ( $ratings->count ) {
		foreach ( $ratings->results as $rating ) {
		    $course_id = $rating->comment_post_ID;
		    ?>
            <div class="dashboard-my-rating dlms-mb-3 dlms-p-3 dlms-border">
                <h4> <a href="<?php echo get_the_permalink( $course_id ); ?>"> <i class="lmsicon-graduation-cap"></i> <?php echo get_the_title( $course_id ); ?> </a> </h4>

                <div class="review-star-rating">
		            <?php dozentlms_render_rating( $rating->rating ); ?>
                    <p class="review-timestamp"> <?php echo sprintf( __( "%s ago", 'dozent-lms' ), human_time_diff( current_time( 'U' ), strtotime( $rating->comment_date ) ) ); ?> </p>
                </div>

                <p class="single-review-text"> <?php echo $rating->comment_content; ?> </p>
            </div>
			<?php

		}
	}

	?>
</div>