<?php
/**
 * Login, Registration and Social Login Template
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/includes/auth-form.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined('ABSPATH') || exit;
?>

<div class="dlms-auth-form-wrap">

    <div class="dlms-auth-form-switch">
        <a href="javascript:;" class="active" data-target=".auth-login-tab"> <?php _e( 'Login', 'dozent-lms' ); ?> </a>
        <a href="javascript:;" data-target=".auth-register-tab" > <?php _e( 'Register', 'dozent-lms' ); ?> </a>
    </div>

    <div class="auth_form_response"> </div>

    <div class="auth-tab-content auth-login-tab">

        <form class="auth-login-form" method="post">
            <div class="dlms-form-group">
                <label> <?php _e( 'Username or email address', 'dozent-lms' ); ?> </label>
                <input type="text" class="dlms-form-control" name="username">
            </div>

            <div class="dlms-form-group">
                <label> <?php _e( 'Password', 'dozent-lms' ); ?> </label>
                <input type="password" class="dlms-form-control" name="password">
            </div>

            <div class="form-remember-field">
                <label>
                    <input type="checkbox" name="rememberme" class="form-check-input">
					<?php _e( 'Remember me', 'dozent-lms' ); ?>
                </label>

                <a class="auth-lost-password" href="javascript:;" data-target=".auth-lost-password-tab"> <?php _e( 'Lost your password?', 'dozent-lms' ); ?> </a>
            </div>
            <button type="submit" class="dlms-btn dlms-btn-base dlms-w-100"> <?php _e( 'Login', 'dozent-lms' ); ?> </button>
        </form>

    </div>

    <div class="auth-tab-content auth-register-tab hide">

        <form class="auth-register-form" method="post">
            <div class="dlms-row">
                <div class="dlms-col-6">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'Full Name', 'dozent-lms' ); ?> </label>
                        <input type="text" name="fullname" class="dlms-form-control">
                    </div>
                </div>
                <div class="dlms-col-6">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'Username', 'dozent-lms' ); ?> </label>
                        <input type="text" name="username" class="dlms-form-control" />
                    </div>
                </div>
            </div>

            <div class="dlms-row">
                <div class="dlms-col-6">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'E-Mail', 'dozent-lms' ); ?> </label>
                        <input type="email" name="email" class="dlms-form-control" />
                    </div>
                </div>

                <div class="dlms-col-6">
                    <div class="dlms-form-group">
                        <label> <?php _e( 'Password', 'dozent-lms' ); ?>  </label>
                        <input type="password" name="password" class="dlms-form-control" />
                    </div>
                </div>
            </div>

			<?php
			$instructor_account_creation = dozentlms_get_setting( 'instructor_account_creation_enable' );
			if ( $instructor_account_creation ) {
				?>
                <div class="dlms-row">
                    <div class="dlms-col-12">
                        <p class="auth-instructor-account-checkbox">
                            <label>
                                <input type="checkbox" name="_create_instructor_account" value="1" >
								<?php _e( 'Create instructor account.', 'dozent-lms' ); ?>
                            </label>
                        </p>
                    </div>
                </div>
			<?php } ?>

            <button type="submit" class="dlms-btn dlms-btn-base dlms-w-100"> <?php _e( 'Register', 'dozent-lms' ); ?>  </button>
        </form>

    </div>

    <div class="auth-tab-content auth-lost-password-tab hide">
        <form class="auth-lost-password-form" method="post">
            <div class="dlms-form-group">
                <label> <?php _e( 'Username or E-Mail address', 'dozent-lms' ); ?> </label>
                <input type="text" class="dlms-form-control" name="lostpasasword_username">
            </div>

            <button type="submit" class="dlms-btn dlms-btn-base dlms-w-100"> <?php _e( 'Rest Password', 'dozent-lms' ); ?> </button>
        </form>
    </div>

	<?php if ( dozentlms_addon_activated( 'social-login' ) ) { ?>
        <div class="social-login-area">
            <h6> <?php _e( 'OR LOGIN WITH', 'dozent-lms' ); ?> </h6>
            <a class="dlms-btn dlms-btn-fb" href="<?php echo dozentlms_get_login_url( 'facebook' ); ?>"> <?php _e( 'Facebook', 'dozent-lms' ); ?> </a>
            <a class="dlms-btn dlms-btn-google" href="<?php echo dozentlms_get_login_url( 'google' ); ?>"> <?php _e( 'Google', 'dozent-lms' ); ?> </a>
        </div>
	<?php } ?>

</div>