<?php
/**
 * Pagination Template
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/includes/pagination.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined('ABSPATH') || exit;


if ( empty( $singular_text ) ) {
	$singular_text = __( 'item', 'dozent-lms' );
}

if ( empty( $plural_text ) ) {
	$plural_text = __( 'items', 'dozent-lms' );
}
?>

<div class="dozentlms-pagination-wrap">
	<?php if ( ! empty( $total ) ) { ?>
        <div class="pagination-count">
			<?php
			$count_msg = sprintf( _n( 'Viewing %1$s - %2$s of %3$s ' . $singular_text, 'Viewing %1$s - %2$s of %3$s ' . $plural_text, $total, 'dozent-lms' ), $from_num, $to_num, $total );

			echo $count_msg;
			?>
        </div>
	<?php } ?>

    <div class="pagination-links">
		<?php
		echo paginate_links( array(
			'format' => '?paged=%#%',
			'current' => $current_page,
			'total' => ceil($total / $per_page),
			'prev_text' => '<i class="lmsicon-arrow-left"></i>',
			'next_text' => '<i class="lmsicon-arrow-right"></i>',
		) );
		?>
    </div>

</div>