<?php
/**
 * Video Template
 *
 * This template can be overridden by copying it to yourtheme/dozent-lms/includes/video.php
 *
 *
 * @package DozentLMS/Templates
 * @version 1.0.0
 */

defined('ABSPATH') || exit;

$video = dozentlms_get_course_video();

if ( empty( $video ) ) {
	return;
}

$video_source = dozentlms_arr_get( $video, 'source' );
$video_value = dozentlms_arr_get( $video, $video_source );
?>

<div class="dlms-video-wrap">
	<?php
	if ( 'upload' === $video_source ){
		$poster = dozentlms_arr_get( $video, 'poster_info.url' );
		$video_url = dozentlms_arr_get( $video, 'video_info.url' );
		$mime = dozentlms_arr_get( $video, 'video_info.mime' );
		?>
		<video id="dozentlms-videojs-player" class="video-js vjs-big-play-centered vjs-default-skin" controls="controls" preload="auto" <?php echo $poster ? 'poster="' . esc_attr( $poster ) . '"' : ''; ?> data-setup='{"fluid":true}'>
			<source src="<?php echo esc_attr( $video_url ); ?>" type="<?php echo $mime; ?>"></source>
		</video>
		<?php
	} elseif ( 'youtube' === $video_source ) {
		?>
		<video id="dozentlms-videojs-player" class="video-js vjs-big-play-centered vjs-fluid vjs-default-skin" rel="0" controls="controls" data-setup='{ "techOrder": ["youtube"], "sources": [{ "type": "video/youtube", "src": "<?php echo esc_attr( $video_value ); ?>"}] }'></video>
		<?php
	} elseif ( 'vimeo' === $video_source ) {
		?>
		<video id="dozentlms-videojs-player" class="video-js vjs-big-play-centered vjs-fluid vjs-default-skin" controls="controls" data-setup='{ "techOrder": ["vimeo"], "sources": [{ "type": "video/vimeo", "src": "<?php echo esc_attr( $video_value ); ?>"}] }'>
		</video>
	<?php
	} elseif ( 'embedded' === $video_source ) {
		echo $video_value;
	}
	?>
</div>