<?php
$course_id = dozentlms_course_id_by_item();
$course_progress = dozentlms_course_progress( $course_id );
?>

<div id="dlms-lecture-sidebar-head">
	<?php do_action( 'dozentlms/course/lecture-sidebar/header' ); ?>

    <div class="lecture-sidebar-course-title dlms-p-3">
        <h3 class="course-title"> <?php echo get_the_title( $course_id ); ?> </h3>

        <?php dozentlms_course_progress_bar( $course_id ); ?>
    </div>

	<?php do_action( 'dozentlms/course/lecture-sidebar/header/after' ); ?>
</div>

<div id="lecture-sidebar-modules">
	<?php
	$modules = dozentlms_get_course_syllabus_data( $course_id );
	foreach ( $modules as $module ) {
		?>
		<div class="lecture-sidebar-module">
			<div class="sidebar-module-head"> <h4> <?php echo $module->post_title; ?> </h4> </div>
			<ul class="module-item-list">
				<?php
				foreach ( $module->items as $item ) {
				    $is_complete = in_array( $item->ID, dozentlms_arr_get( $course_progress, 'syllabus' ) );
					?>
					<li class="lecture-item <?php echo $is_complete ? 'completed' : ''; ?> <?php echo $item->ID == get_the_ID() ? 'active' : ''; ?>">
						<a href="<?php echo get_the_permalink( $item ); ?>" class="item-a">
							<p class="item-status-icon">
                                <?php
                                echo $is_complete ? '<i class="lmsicon-check"></i>' : '<i class="lmsicon-radio-unchecked"></i>';
                                ?>
							</p>

							<p class="item-name-wrap">
                                <?php dozentlms_course_content_icon( $item ); ?>

								<span class="item-name"> <?php echo $item->post_title; ?> </span>
                            </p>
						</a>
					</li>
					<?php
				}
				?>
			</ul>
		</div>
		<?php
	}
	?>
</div>